%global _lto_cflags %{nil}

Summary:		Linux-native asynchronous I/O access library
Name:			libaio
Version:		0.3.113
Release:		4%{?dist}
License:		LGPLv2+
URL:			https://pagure.io/libaio
Source0:		https://releases.pagure.org/libaio/%{name}-%{version}.tar.gz

BuildRequires:	gcc make

%description
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
richer API and capability set than the simple POSIX async I/O facility.
This library, libaio, provides the Linux-native API for async I/O.
The POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.

%package devel
Summary:		Development files for Linux-native asynchronous I/O access
Requires:		%{name} = %{version}-%{release}

%description devel
This package provides header files to include and libraries to link with
for the Linux-native asynchronous I/O facility ("async I/O", or "aio").

%prep
%autosetup

%build
%make_build

%install
%make_install libdir=%{_libdir}

rm -f %{buildroot}%{_libdir}/*.a

%files
%license COPYING
%doc ChangeLog README.md
%{_libdir}/libaio.so.*

%files devel
%attr(0644,root,root) %{_includedir}/*
%attr(0755,root,root) %{_libdir}/libaio.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.113-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.113-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.113-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 8 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.3.113-1
- Initial build
